Installatie identiteitskaart lezer eid software


#1

ik gebruik al een tijdje Linux (ongeveer 10 jaar) waarvan de laatste 3 jaar manjaro (gestart met versie 0.8.1)
gebruik steed de XFCE desktop omdat ik die het beste kan aanpassen en ook het makkelijkst in gebruik is
ik probeer mensen warm te maken om over te stappen op Linux (al of niet manjaro) - een veel gestelde vraag die ik krijg
is het installeren van een eid- kaart lezer met de benodigde software - dit is iets dat in manjaro achterwege is gebleven
uiteindelijk slaag ik er wel in om die installatie te doen lukken maar voor beginnners is er geen beginnen aan

daarom mijn vraag kan er een wiki gemaakt worden om de kaartlezer en de nodige paketten en eid software te installeren in manjaro (software zit spijtig genoeg in aur) laatst was er een probleem met een sleutel toekennen voor dit pakket.

dit is iets dat veel eenvoudige zou moeten kunnen worden gemaakt - zeker voor de belgische gebruikers waarvan ik weet dat de meeste dit nodig hebben om hun belastingen in te vullen of om documenten aan te vragen in de gemeente en zo verder …
ik vind manjaro een prachtig systeem - werkt zeer stabiel - en heb sindsdien geen problemen gehad - buiten dit probleem dan

ik hoop dat de nodige software en paketten snel in de officlele repositories komt zodat we niet meer vanuit aur dit moeten installeren


About the Beid middleware - Belgian Id card reader
#2

Het probleem met een sleutel toekennen voor dit pakket is inderdaad te moeilijk voor beginners.

Als ik het goed herinner kun je de GPG sleutel hier zien: https://files.eid.belgium.be/ of https://files.eid.belgium.be/info.html
De sleutel is momenteel D954 26E3 09C0 4929 90D8 E8E2 824A 5E00 10A0 4D46

Je kunt hem toevoegen door dit in een terminal te typen:
gpg --keyserver hkp://keys.gnupg.net --recv-keys 824A5E0010A04D46

Of hier een alternatieve methode. Haal de sleutel binnen:
gpg --recv-key KEYID (in dit geval gpg --recv-key 10A04D46)
Onderteken de sleutel:
gpg --lsign KEYID (in dit geval gpg --lsign 10A04D46)

De andere stappen zijn makkelijk te doen via deze instructies:
https://wiki.archlinux.org/index.php/Belgian_eID_card_reader
(je kunt voor Manjaro bijna altijd de instructies voor Arch Linux volgen)

AUR pakketten zijn nu ook zeer eenvoudig te installeren via Octopi (of Pamac).


Install E-id reader ... not working AGAIN!
#3

Dit werkte voor mij

en dan de eidlezer met eid connecten voordat je FF start.


#4

@flipper @quilleme - dank je voor de info - het werkt op mijn computer - het gaat er mij om dat deze paketten niet via aur zouden moeten worden geïnstalleerd maar gewoon uit de officiële paketlijsten. Meer en meer mensen gebruiken deze reader om allerlei documenten aan te vragen -
kan dit niet gewoon toegevoegd worden aan de officiele paketlijst dat wanneer je kiest om de eid software te installeren meteen alle nodige afhankelijkheden mee worden geinstalleerd – dat zou pas gebruikersvriendelijk zijn - nu is er altijd nog een min of meer tech expert nodig om dit te installeren -
ik ben zeer tevreden of manjaro (xfce) en ik heb dit al aan vele mensen aangeraden die op zoek zijn naar een alternatief voor win xp (zonder dat ze een supernieuxe computer met win 10 moeten kopen)

misschien kan iemand de developers van manjaro hierop wijzen dat de eid software toch een vrij belangrijk paket is hier in belgie


#5

Ik heb dit probleem hier aangekaart:


#6

ok bedankt voor het melden hiervan aan de developers - misschien komt er ooit iets van :slight_smile:


#7

ik Ben van plan om een draadloze te kopen :slight_smile:


#8

en is die driver beschikbaar in manjaro ?


#9

voor een draadloze heb je geen driver nodig. laatstaan computer. werkt zelfde KBC bankkaart denk… zoiets in die geest, draadloos. Alleen inloggen… ben zelf aan het kijken… voor zoiets dan elke keer met drivers kloten :slight_smile: maaarja kost: 32euro die geest.


#10

Is er ondertussen al iets uit de spreekwoordelijke bus gekomen voor wat betreft de eid-installatie in Manjaro aub ?


#11

Niet echt, maar het werkt gewoon in Firefox op Manjaro als je de guide volgt, geen idee of het ook op andere browsers werkt.


#12

ik heb zelf een externe repo war ei opzit :slight_smile: werkt goed :slight_smile:


#13

Is er workaround zodat je niet iedere keer FF moet herstarten of alleszins pas starten nadat je de eID reader geconnecteerd hebt? Dit werkt nogal omslachtig, zeker als je al allerlei tabbladen open hebt.


#14

Ik heb het nog niet gevonden, misschien moeten we gewoon iets met modprobe herstarten om het werkend te krijgen?


#15

Zelf gebruik ik dit repo : https://repo.herecura.eu/ daar zit eid-mw, is misschien wel een oudere versie dan aur bij mijn werkt het met chromium. Verder heb ik daarvan ook asccid geinstalleerd. en pcscdlite is ook hier eveneens nss .

Verder volg ik dit web : https://eid.belgium.be/nl/faq/google-chromechromium-hoe-meld-ik-me-aan#7311

bij mijn werkt het :slight_smile:

zorg dat pcscd.socket ook is enabled, systemctl status pcscd.socket

hoor het wel diegene dat hiermee is gelukt :stuck_out_tongue: hier werkt het


#16

heb de 4.3.3 van aur geinstalleerd in chromium en firefox werkt het, zorg dat de pscdlite werkt ,

systemctl status pcscd.socket

moet aan staan anders sudo systemctl enable pcscd.socket


#17

voor de acs kaartlezers zorg ook ervoor dat de acsccid is up2date


#18

Ik kende deze hele eid belgium kaarten/kaart lezers niet! Ik denk dat Nederland ook wel iets mag ontwikkelen of waarom opnieuw het wiel uitvinden? Nederland kan ook gewoon EID van Belgie gebruiken…

Goed dat Belgie tenminste al zover is op digitaal gebied!


#19

hoelang is dat al, nederland wilt anders doen, met QR code; hier is het ook alweer aan het verschuiven naar mobiel… buiten om er zijn ook al lezers die draadloos kunnen werken dus ook niet direct eid-mw nodig hebben maar om zo aan te schaffen is te duur, omdat je maar paar keer op een jaar nodig hebt, voor je Tax, eventueel inzien van je pensioen of uitprinten van burgelijke administratie papiertje etc…

en laaste is gratis waar in nederland moet betalen lol


#20

Het viel mij vandaag op dat je FF niet meer moet heropstarten :ok_hand: